OfficeGest
Utils/Send email

Send email

Sends email using configured mail transport and returns raw sender response.

POST
/utils/send-email
AuthorizationBearer <token>

In: header

from?string

Sender email or object with email key.

tostring

Recipient email or list of recipients.

subjectstring

Email subject.

contentstring

Email body content.

Response Body

curl -X POST "https://og-tenant1.test:8003/api/v2/utils/send-email" \
  -H "Content-Type: application/json" \
  -d '{
    "to": "destinatario@officegest.pt",
    "subject": "Assunto",
    "content": "Conteudo do email"
  }'
{
  "data": {}
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}